# eh_frame_check_setup

Testing setup for `eh_frame_check`, available
[here on GitHub](https://github.com/francesco-zappa-nardelli/eh_frame_check/)

## Dependencies

To run those scripts, you will need

* A recent `gdb`, compiled with python support (I have python3 support, but I
  expect it to work for python2)
* `virtualenv`
* `git`
* some time ahead of you (it will compile stuff)

## How to run

On the first run, setup everything (this may take some time — we're compiling
glibc and its whole testsuite here):

```bash
  ./setup_env.sh
```

Then, for every subsequent run, you can source the environment variables needed
(this is not strictly necessary, but will help you debug stuff):

```bash
  source ./env
```

You may then either run a single test,

```bash
  ./run_single_test.sh math/test-misc  # Or any other glibc test path
```

or run the whole testsuite

```bash
  ./run_all_tests.sh
```
