#!/bin/bash

base_dir="$(dirname "$(readlink -f "$0")")"
cd "$base_dir"

source ./env

eh_frame_check="$base_dir/eh_frame_check/testing/eh_frame_check.py"
glibc_base="$base_dir/glibc/build"

tests=\
    $(find "$glibc_base" -executable -name 'test-*' -or -executable -name 'tst-*')

for tst in $tests; do
    gdb -q -x "$eh_frame_check" \
        -args $glibc_base/elf/ld-linux-x86-64.so.2 \
        --library-path "$LIB_PATH" \
        "$tst"
done
